(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./Popper.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadExternalPopInteraction = loadExternalPopInteraction;
    const engine_1 = require("@tsparticles/engine");
    const Popper_js_1 = require("./Popper.js");
    async function loadExternalPopInteraction(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addInteractor("externalPop", container => {
            return Promise.resolve(new Popper_js_1.Popper(container));
        }, refresh);
    }
});
